Returns whether the current user needs to provide an elevated access token for the given scope. The client should default to requiring step-up if this endpoint fails.
curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/stepUp/check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scope": "credential:link"
}
'{
"isRequired": true,
"credentials": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"format": "blockchain",
"type": "<string>",
"alias": "<string>"
}
],
"defaultCredentialId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Valid scopes for an elevated access token
credential:link, credential:update, credential:unlink, user:update, user:delete, wallet:export, wallet:delete, wallet:delegate, wallet:sign, wallet:restore Step-up check result
Whether step-up authentication is required for the given scope
The credentials available for step-up authentication. Empty if isRequired is false.
Show child attributes
The recommended default credential to use for step-up. For reauth this is the sign-in credential; for MFA this is the default or most recently added device.
Was this page helpful?
curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/stepUp/check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scope": "credential:link"
}
'{
"isRequired": true,
"credentials": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"format": "blockchain",
"type": "<string>",
"alias": "<string>"
}
],
"defaultCredentialId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}